Skip to content

Verify a facemap

Request

Verifies a facemap challenge when calling a SCA-secured endpoint. Make sure to create a facemap before using this endpoint.

A facemap should be exported from your FaceTec server using the SDK's export API. Please use Wise's FaceTec public key to encrypt a facemap during the export process.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
One-Time-Tokenstring, (uuid)required

A one-time token unique identifier.

X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
faceMapstring

A base64 encoded string.

curl -i -X POST \
  'https://api.wise.com/2026Q4/profiles/{profileId}/facemaps/verify' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'One-Time-Token: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "faceMap": "<base64 encoded string>"
  }'

Responses

The facemap has been successfully verified.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
oneTimeTokenstring, (uuid)

A one-time token unique identifier.

Example:"5932d5b5-ec13-452f-8688-308feade7834"
challengesArray of objects

An array of challenges.

validityinteger

The One-Time Token expiration in seconds.

Example:3600
Response
{ "oneTimeToken": "5932d5b5-ec13-452f-8688-308feade7834", "challenges": [ { "primaryChallenge": { … }, "passed": false } ], "validity": 3600 }